summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Markus Rinne <markus.ka.rinne@gmail.com>2015-03-28 02:30:31 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-28 02:30:31 +0700
commit630005bf47e0cf58b0696a50580e69601271d620 (patch)
tree707d543a9d4dfb5071d0e52a5ff55c1b6a1a553c
parentf81059476dbad46193888ef13d46b3cb92145ad5 (diff)
downloadslackbuilds-630005bf47e0cf58b0696a50580e69601271d620.tar.gz
slackbuilds-630005bf47e0cf58b0696a50580e69601271d620.tar.xz
development/lcov: Added (LTP GCOV extension).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/lcov/README5
-rw-r--r--development/lcov/lcov.SlackBuild64
-rw-r--r--development/lcov/lcov.info10
-rw-r--r--development/lcov/slack-desc19
4 files changed, 98 insertions, 0 deletions
diff --git a/development/lcov/README b/development/lcov/README
new file mode 100644
index 0000000000..b7dc99d4b1
--- /dev/null
+++ b/development/lcov/README
@@ -0,0 +1,5 @@
+LCOV is a graphical front-end for GCC's coverage testing tool gcov. It
+collects gcov data for multiple source files and creates HTML pages containing
+the source code annotated with coverage information. It also adds overview
+pages for easy navigation within the file structure. LCOV supports statement,
+function and branch coverage meaurement.
diff --git a/development/lcov/lcov.SlackBuild b/development/lcov/lcov.SlackBuild
new file mode 100644
index 0000000000..73fa6f2836
--- /dev/null
+++ b/development/lcov/lcov.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for lcov
+
+# Copyright 2015 Markus Rinne Finland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lcov
+VERSION=${VERSION:-1.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make install PREFIX=$PKG MAN_DIR=$PKG/usr/man
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES CONTRIBUTING COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/lcov/lcov.info b/development/lcov/lcov.info
new file mode 100644
index 0000000000..0b197e490f
--- /dev/null
+++ b/development/lcov/lcov.info
@@ -0,0 +1,10 @@
+PRGNAM="lcov"
+VERSION="1.11"
+HOMEPAGE="http://ltp.sourceforge.net/coverage/lcov.php"
+DOWNLOAD="http://downloads.sourceforge.net/ltp/lcov-1.11.tar.gz"
+MD5SUM="e79b799ae3ce149aa924c7520e993024"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Markus Rinne"
+EMAIL="markus.ka.rinne@gmail.com"
diff --git a/development/lcov/slack-desc b/development/lcov/slack-desc
new file mode 100644
index 0000000000..8f7bd66e43
--- /dev/null
+++ b/development/lcov/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lcov: lcov (the LTP GCOV extension)
+lcov:
+lcov: LCOV is a graphical front-end for GCC's coverage testing tool gcov.
+lcov: It collects gcov data for multiple source files and creates HTML pages
+lcov: containing the source code annotated with coverage information. It
+lcov: also adds overview pages for easy navigation within the file
+lcov: structure. LCOV supports statement, function and branch coverage
+lcov: meaurement.
+lcov:
+lcov: Homepage: http://ltp.sourceforge.net/coverage/lcov.php
+lcov: